Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network253.67.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
253.67.0.0
Broadcast address
253.67.127.255
First usable
253.67.0.1
Last usable
253.67.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FD430000 · Integer 4249026560 to 4249059327
Reverse DNS zones
0.67.253.in-addr.arpa
1.67.253.in-addr.arpa
2.67.253.in-addr.arpa
3.67.253.in-addr.arpa
4.67.253.in-addr.arpa
5.67.253.in-addr.arpa
6.67.253.in-addr.arpa
7.67.253.in-addr.arpa
8.67.253.in-addr.arpa
9.67.253.in-addr.arpa
10.67.253.in-addr.arpa
11.67.253.in-addr.arpa
12.67.253.in-addr.arpa
13.67.253.in-addr.arpa
14.67.253.in-addr.arpa
15.67.253.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111101.01000011.00000000.00000000253.67.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11111101.01000011.00000000.00000000253.67.0.0
Broadcast11111101.01000011.01111111.11111111253.67.127.255
Split into smaller subnets/25

253.67.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1253.67.0.0/25253.67.0.1 to 253.67.0.126253.67.0.127126
2253.67.0.128/25253.67.0.129 to 253.67.0.254253.67.0.255126
3253.67.1.0/25253.67.1.1 to 253.67.1.126253.67.1.127126
4253.67.1.128/25253.67.1.129 to 253.67.1.254253.67.1.255126
5253.67.2.0/25253.67.2.1 to 253.67.2.126253.67.2.127126
6253.67.2.128/25253.67.2.129 to 253.67.2.254253.67.2.255126
7253.67.3.0/25253.67.3.1 to 253.67.3.126253.67.3.127126
8253.67.3.128/25253.67.3.129 to 253.67.3.254253.67.3.255126
9253.67.4.0/25253.67.4.1 to 253.67.4.126253.67.4.127126
10253.67.4.128/25253.67.4.129 to 253.67.4.254253.67.4.255126
11253.67.5.0/25253.67.5.1 to 253.67.5.126253.67.5.127126
12253.67.5.128/25253.67.5.129 to 253.67.5.254253.67.5.255126
13253.67.6.0/25253.67.6.1 to 253.67.6.126253.67.6.127126
14253.67.6.128/25253.67.6.129 to 253.67.6.254253.67.6.255126
15253.67.7.0/25253.67.7.1 to 253.67.7.126253.67.7.127126
16253.67.7.128/25253.67.7.129 to 253.67.7.254253.67.7.255126
17253.67.8.0/25253.67.8.1 to 253.67.8.126253.67.8.127126
18253.67.8.128/25253.67.8.129 to 253.67.8.254253.67.8.255126
19253.67.9.0/25253.67.9.1 to 253.67.9.126253.67.9.127126
20253.67.9.128/25253.67.9.129 to 253.67.9.254253.67.9.255126
21253.67.10.0/25253.67.10.1 to 253.67.10.126253.67.10.127126
22253.67.10.128/25253.67.10.129 to 253.67.10.254253.67.10.255126
23253.67.11.0/25253.67.11.1 to 253.67.11.126253.67.11.127126
24253.67.11.128/25253.67.11.129 to 253.67.11.254253.67.11.255126
25253.67.12.0/25253.67.12.1 to 253.67.12.126253.67.12.127126
26253.67.12.128/25253.67.12.129 to 253.67.12.254253.67.12.255126
27253.67.13.0/25253.67.13.1 to 253.67.13.126253.67.13.127126
28253.67.13.128/25253.67.13.129 to 253.67.13.254253.67.13.255126
29253.67.14.0/25253.67.14.1 to 253.67.14.126253.67.14.127126
30253.67.14.128/25253.67.14.129 to 253.67.14.254253.67.14.255126
31253.67.15.0/25253.67.15.1 to 253.67.15.126253.67.15.127126
32253.67.15.128/25253.67.15.129 to 253.67.15.254253.67.15.255126
33253.67.16.0/25253.67.16.1 to 253.67.16.126253.67.16.127126
34253.67.16.128/25253.67.16.129 to 253.67.16.254253.67.16.255126
35253.67.17.0/25253.67.17.1 to 253.67.17.126253.67.17.127126
36253.67.17.128/25253.67.17.129 to 253.67.17.254253.67.17.255126
37253.67.18.0/25253.67.18.1 to 253.67.18.126253.67.18.127126
38253.67.18.128/25253.67.18.129 to 253.67.18.254253.67.18.255126
39253.67.19.0/25253.67.19.1 to 253.67.19.126253.67.19.127126
40253.67.19.128/25253.67.19.129 to 253.67.19.254253.67.19.255126
41253.67.20.0/25253.67.20.1 to 253.67.20.126253.67.20.127126
42253.67.20.128/25253.67.20.129 to 253.67.20.254253.67.20.255126
43253.67.21.0/25253.67.21.1 to 253.67.21.126253.67.21.127126
44253.67.21.128/25253.67.21.129 to 253.67.21.254253.67.21.255126
45253.67.22.0/25253.67.22.1 to 253.67.22.126253.67.22.127126
46253.67.22.128/25253.67.22.129 to 253.67.22.254253.67.22.255126
47253.67.23.0/25253.67.23.1 to 253.67.23.126253.67.23.127126
48253.67.23.128/25253.67.23.129 to 253.67.23.254253.67.23.255126
49253.67.24.0/25253.67.24.1 to 253.67.24.126253.67.24.127126
50253.67.24.128/25253.67.24.129 to 253.67.24.254253.67.24.255126
51253.67.25.0/25253.67.25.1 to 253.67.25.126253.67.25.127126
52253.67.25.128/25253.67.25.129 to 253.67.25.254253.67.25.255126
53253.67.26.0/25253.67.26.1 to 253.67.26.126253.67.26.127126
54253.67.26.128/25253.67.26.129 to 253.67.26.254253.67.26.255126
55253.67.27.0/25253.67.27.1 to 253.67.27.126253.67.27.127126
56253.67.27.128/25253.67.27.129 to 253.67.27.254253.67.27.255126
57253.67.28.0/25253.67.28.1 to 253.67.28.126253.67.28.127126
58253.67.28.128/25253.67.28.129 to 253.67.28.254253.67.28.255126
59253.67.29.0/25253.67.29.1 to 253.67.29.126253.67.29.127126
60253.67.29.128/25253.67.29.129 to 253.67.29.254253.67.29.255126
61253.67.30.0/25253.67.30.1 to 253.67.30.126253.67.30.127126
62253.67.30.128/25253.67.30.129 to 253.67.30.254253.67.30.255126
63253.67.31.0/25253.67.31.1 to 253.67.31.126253.67.31.127126
64253.67.31.128/25253.67.31.129 to 253.67.31.254253.67.31.255126
65253.67.32.0/25253.67.32.1 to 253.67.32.126253.67.32.127126
66253.67.32.128/25253.67.32.129 to 253.67.32.254253.67.32.255126
67253.67.33.0/25253.67.33.1 to 253.67.33.126253.67.33.127126
68253.67.33.128/25253.67.33.129 to 253.67.33.254253.67.33.255126
69253.67.34.0/25253.67.34.1 to 253.67.34.126253.67.34.127126
70253.67.34.128/25253.67.34.129 to 253.67.34.254253.67.34.255126
71253.67.35.0/25253.67.35.1 to 253.67.35.126253.67.35.127126
72253.67.35.128/25253.67.35.129 to 253.67.35.254253.67.35.255126
73253.67.36.0/25253.67.36.1 to 253.67.36.126253.67.36.127126
74253.67.36.128/25253.67.36.129 to 253.67.36.254253.67.36.255126
75253.67.37.0/25253.67.37.1 to 253.67.37.126253.67.37.127126
76253.67.37.128/25253.67.37.129 to 253.67.37.254253.67.37.255126
77253.67.38.0/25253.67.38.1 to 253.67.38.126253.67.38.127126
78253.67.38.128/25253.67.38.129 to 253.67.38.254253.67.38.255126
79253.67.39.0/25253.67.39.1 to 253.67.39.126253.67.39.127126
80253.67.39.128/25253.67.39.129 to 253.67.39.254253.67.39.255126
81253.67.40.0/25253.67.40.1 to 253.67.40.126253.67.40.127126
82253.67.40.128/25253.67.40.129 to 253.67.40.254253.67.40.255126
83253.67.41.0/25253.67.41.1 to 253.67.41.126253.67.41.127126
84253.67.41.128/25253.67.41.129 to 253.67.41.254253.67.41.255126
85253.67.42.0/25253.67.42.1 to 253.67.42.126253.67.42.127126
86253.67.42.128/25253.67.42.129 to 253.67.42.254253.67.42.255126
87253.67.43.0/25253.67.43.1 to 253.67.43.126253.67.43.127126
88253.67.43.128/25253.67.43.129 to 253.67.43.254253.67.43.255126
89253.67.44.0/25253.67.44.1 to 253.67.44.126253.67.44.127126
90253.67.44.128/25253.67.44.129 to 253.67.44.254253.67.44.255126
91253.67.45.0/25253.67.45.1 to 253.67.45.126253.67.45.127126
92253.67.45.128/25253.67.45.129 to 253.67.45.254253.67.45.255126
93253.67.46.0/25253.67.46.1 to 253.67.46.126253.67.46.127126
94253.67.46.128/25253.67.46.129 to 253.67.46.254253.67.46.255126
95253.67.47.0/25253.67.47.1 to 253.67.47.126253.67.47.127126
96253.67.47.128/25253.67.47.129 to 253.67.47.254253.67.47.255126
97253.67.48.0/25253.67.48.1 to 253.67.48.126253.67.48.127126
98253.67.48.128/25253.67.48.129 to 253.67.48.254253.67.48.255126
99253.67.49.0/25253.67.49.1 to 253.67.49.126253.67.49.127126
100253.67.49.128/25253.67.49.129 to 253.67.49.254253.67.49.255126
101253.67.50.0/25253.67.50.1 to 253.67.50.126253.67.50.127126
102253.67.50.128/25253.67.50.129 to 253.67.50.254253.67.50.255126
103253.67.51.0/25253.67.51.1 to 253.67.51.126253.67.51.127126
104253.67.51.128/25253.67.51.129 to 253.67.51.254253.67.51.255126
105253.67.52.0/25253.67.52.1 to 253.67.52.126253.67.52.127126
106253.67.52.128/25253.67.52.129 to 253.67.52.254253.67.52.255126
107253.67.53.0/25253.67.53.1 to 253.67.53.126253.67.53.127126
108253.67.53.128/25253.67.53.129 to 253.67.53.254253.67.53.255126
109253.67.54.0/25253.67.54.1 to 253.67.54.126253.67.54.127126
110253.67.54.128/25253.67.54.129 to 253.67.54.254253.67.54.255126
111253.67.55.0/25253.67.55.1 to 253.67.55.126253.67.55.127126
112253.67.55.128/25253.67.55.129 to 253.67.55.254253.67.55.255126
113253.67.56.0/25253.67.56.1 to 253.67.56.126253.67.56.127126
114253.67.56.128/25253.67.56.129 to 253.67.56.254253.67.56.255126
115253.67.57.0/25253.67.57.1 to 253.67.57.126253.67.57.127126
116253.67.57.128/25253.67.57.129 to 253.67.57.254253.67.57.255126
117253.67.58.0/25253.67.58.1 to 253.67.58.126253.67.58.127126
118253.67.58.128/25253.67.58.129 to 253.67.58.254253.67.58.255126
119253.67.59.0/25253.67.59.1 to 253.67.59.126253.67.59.127126
120253.67.59.128/25253.67.59.129 to 253.67.59.254253.67.59.255126
121253.67.60.0/25253.67.60.1 to 253.67.60.126253.67.60.127126
122253.67.60.128/25253.67.60.129 to 253.67.60.254253.67.60.255126
123253.67.61.0/25253.67.61.1 to 253.67.61.126253.67.61.127126
124253.67.61.128/25253.67.61.129 to 253.67.61.254253.67.61.255126
125253.67.62.0/25253.67.62.1 to 253.67.62.126253.67.62.127126
126253.67.62.128/25253.67.62.129 to 253.67.62.254253.67.62.255126
127253.67.63.0/25253.67.63.1 to 253.67.63.126253.67.63.127126
128253.67.63.128/25253.67.63.129 to 253.67.63.254253.67.63.255126
129253.67.64.0/25253.67.64.1 to 253.67.64.126253.67.64.127126
130253.67.64.128/25253.67.64.129 to 253.67.64.254253.67.64.255126
131253.67.65.0/25253.67.65.1 to 253.67.65.126253.67.65.127126
132253.67.65.128/25253.67.65.129 to 253.67.65.254253.67.65.255126
133253.67.66.0/25253.67.66.1 to 253.67.66.126253.67.66.127126
134253.67.66.128/25253.67.66.129 to 253.67.66.254253.67.66.255126
135253.67.67.0/25253.67.67.1 to 253.67.67.126253.67.67.127126
136253.67.67.128/25253.67.67.129 to 253.67.67.254253.67.67.255126
137253.67.68.0/25253.67.68.1 to 253.67.68.126253.67.68.127126
138253.67.68.128/25253.67.68.129 to 253.67.68.254253.67.68.255126
139253.67.69.0/25253.67.69.1 to 253.67.69.126253.67.69.127126
140253.67.69.128/25253.67.69.129 to 253.67.69.254253.67.69.255126
141253.67.70.0/25253.67.70.1 to 253.67.70.126253.67.70.127126
142253.67.70.128/25253.67.70.129 to 253.67.70.254253.67.70.255126
143253.67.71.0/25253.67.71.1 to 253.67.71.126253.67.71.127126
144253.67.71.128/25253.67.71.129 to 253.67.71.254253.67.71.255126
145253.67.72.0/25253.67.72.1 to 253.67.72.126253.67.72.127126
146253.67.72.128/25253.67.72.129 to 253.67.72.254253.67.72.255126
147253.67.73.0/25253.67.73.1 to 253.67.73.126253.67.73.127126
148253.67.73.128/25253.67.73.129 to 253.67.73.254253.67.73.255126
149253.67.74.0/25253.67.74.1 to 253.67.74.126253.67.74.127126
150253.67.74.128/25253.67.74.129 to 253.67.74.254253.67.74.255126
151253.67.75.0/25253.67.75.1 to 253.67.75.126253.67.75.127126
152253.67.75.128/25253.67.75.129 to 253.67.75.254253.67.75.255126
153253.67.76.0/25253.67.76.1 to 253.67.76.126253.67.76.127126
154253.67.76.128/25253.67.76.129 to 253.67.76.254253.67.76.255126
155253.67.77.0/25253.67.77.1 to 253.67.77.126253.67.77.127126
156253.67.77.128/25253.67.77.129 to 253.67.77.254253.67.77.255126
157253.67.78.0/25253.67.78.1 to 253.67.78.126253.67.78.127126
158253.67.78.128/25253.67.78.129 to 253.67.78.254253.67.78.255126
159253.67.79.0/25253.67.79.1 to 253.67.79.126253.67.79.127126
160253.67.79.128/25253.67.79.129 to 253.67.79.254253.67.79.255126
161253.67.80.0/25253.67.80.1 to 253.67.80.126253.67.80.127126
162253.67.80.128/25253.67.80.129 to 253.67.80.254253.67.80.255126
163253.67.81.0/25253.67.81.1 to 253.67.81.126253.67.81.127126
164253.67.81.128/25253.67.81.129 to 253.67.81.254253.67.81.255126
165253.67.82.0/25253.67.82.1 to 253.67.82.126253.67.82.127126
166253.67.82.128/25253.67.82.129 to 253.67.82.254253.67.82.255126
167253.67.83.0/25253.67.83.1 to 253.67.83.126253.67.83.127126
168253.67.83.128/25253.67.83.129 to 253.67.83.254253.67.83.255126
169253.67.84.0/25253.67.84.1 to 253.67.84.126253.67.84.127126
170253.67.84.128/25253.67.84.129 to 253.67.84.254253.67.84.255126
171253.67.85.0/25253.67.85.1 to 253.67.85.126253.67.85.127126
172253.67.85.128/25253.67.85.129 to 253.67.85.254253.67.85.255126
173253.67.86.0/25253.67.86.1 to 253.67.86.126253.67.86.127126
174253.67.86.128/25253.67.86.129 to 253.67.86.254253.67.86.255126
175253.67.87.0/25253.67.87.1 to 253.67.87.126253.67.87.127126
176253.67.87.128/25253.67.87.129 to 253.67.87.254253.67.87.255126
177253.67.88.0/25253.67.88.1 to 253.67.88.126253.67.88.127126
178253.67.88.128/25253.67.88.129 to 253.67.88.254253.67.88.255126
179253.67.89.0/25253.67.89.1 to 253.67.89.126253.67.89.127126
180253.67.89.128/25253.67.89.129 to 253.67.89.254253.67.89.255126
181253.67.90.0/25253.67.90.1 to 253.67.90.126253.67.90.127126
182253.67.90.128/25253.67.90.129 to 253.67.90.254253.67.90.255126
183253.67.91.0/25253.67.91.1 to 253.67.91.126253.67.91.127126
184253.67.91.128/25253.67.91.129 to 253.67.91.254253.67.91.255126
185253.67.92.0/25253.67.92.1 to 253.67.92.126253.67.92.127126
186253.67.92.128/25253.67.92.129 to 253.67.92.254253.67.92.255126
187253.67.93.0/25253.67.93.1 to 253.67.93.126253.67.93.127126
188253.67.93.128/25253.67.93.129 to 253.67.93.254253.67.93.255126
189253.67.94.0/25253.67.94.1 to 253.67.94.126253.67.94.127126
190253.67.94.128/25253.67.94.129 to 253.67.94.254253.67.94.255126
191253.67.95.0/25253.67.95.1 to 253.67.95.126253.67.95.127126
192253.67.95.128/25253.67.95.129 to 253.67.95.254253.67.95.255126
193253.67.96.0/25253.67.96.1 to 253.67.96.126253.67.96.127126
194253.67.96.128/25253.67.96.129 to 253.67.96.254253.67.96.255126
195253.67.97.0/25253.67.97.1 to 253.67.97.126253.67.97.127126
196253.67.97.128/25253.67.97.129 to 253.67.97.254253.67.97.255126
197253.67.98.0/25253.67.98.1 to 253.67.98.126253.67.98.127126
198253.67.98.128/25253.67.98.129 to 253.67.98.254253.67.98.255126
199253.67.99.0/25253.67.99.1 to 253.67.99.126253.67.99.127126
200253.67.99.128/25253.67.99.129 to 253.67.99.254253.67.99.255126
201253.67.100.0/25253.67.100.1 to 253.67.100.126253.67.100.127126
202253.67.100.128/25253.67.100.129 to 253.67.100.254253.67.100.255126
203253.67.101.0/25253.67.101.1 to 253.67.101.126253.67.101.127126
204253.67.101.128/25253.67.101.129 to 253.67.101.254253.67.101.255126
205253.67.102.0/25253.67.102.1 to 253.67.102.126253.67.102.127126
206253.67.102.128/25253.67.102.129 to 253.67.102.254253.67.102.255126
207253.67.103.0/25253.67.103.1 to 253.67.103.126253.67.103.127126
208253.67.103.128/25253.67.103.129 to 253.67.103.254253.67.103.255126
209253.67.104.0/25253.67.104.1 to 253.67.104.126253.67.104.127126
210253.67.104.128/25253.67.104.129 to 253.67.104.254253.67.104.255126
211253.67.105.0/25253.67.105.1 to 253.67.105.126253.67.105.127126
212253.67.105.128/25253.67.105.129 to 253.67.105.254253.67.105.255126
213253.67.106.0/25253.67.106.1 to 253.67.106.126253.67.106.127126
214253.67.106.128/25253.67.106.129 to 253.67.106.254253.67.106.255126
215253.67.107.0/25253.67.107.1 to 253.67.107.126253.67.107.127126
216253.67.107.128/25253.67.107.129 to 253.67.107.254253.67.107.255126
217253.67.108.0/25253.67.108.1 to 253.67.108.126253.67.108.127126
218253.67.108.128/25253.67.108.129 to 253.67.108.254253.67.108.255126
219253.67.109.0/25253.67.109.1 to 253.67.109.126253.67.109.127126
220253.67.109.128/25253.67.109.129 to 253.67.109.254253.67.109.255126
221253.67.110.0/25253.67.110.1 to 253.67.110.126253.67.110.127126
222253.67.110.128/25253.67.110.129 to 253.67.110.254253.67.110.255126
223253.67.111.0/25253.67.111.1 to 253.67.111.126253.67.111.127126
224253.67.111.128/25253.67.111.129 to 253.67.111.254253.67.111.255126
225253.67.112.0/25253.67.112.1 to 253.67.112.126253.67.112.127126
226253.67.112.128/25253.67.112.129 to 253.67.112.254253.67.112.255126
227253.67.113.0/25253.67.113.1 to 253.67.113.126253.67.113.127126
228253.67.113.128/25253.67.113.129 to 253.67.113.254253.67.113.255126
229253.67.114.0/25253.67.114.1 to 253.67.114.126253.67.114.127126
230253.67.114.128/25253.67.114.129 to 253.67.114.254253.67.114.255126
231253.67.115.0/25253.67.115.1 to 253.67.115.126253.67.115.127126
232253.67.115.128/25253.67.115.129 to 253.67.115.254253.67.115.255126
233253.67.116.0/25253.67.116.1 to 253.67.116.126253.67.116.127126
234253.67.116.128/25253.67.116.129 to 253.67.116.254253.67.116.255126
235253.67.117.0/25253.67.117.1 to 253.67.117.126253.67.117.127126
236253.67.117.128/25253.67.117.129 to 253.67.117.254253.67.117.255126
237253.67.118.0/25253.67.118.1 to 253.67.118.126253.67.118.127126
238253.67.118.128/25253.67.118.129 to 253.67.118.254253.67.118.255126
239253.67.119.0/25253.67.119.1 to 253.67.119.126253.67.119.127126
240253.67.119.128/25253.67.119.129 to 253.67.119.254253.67.119.255126
241253.67.120.0/25253.67.120.1 to 253.67.120.126253.67.120.127126
242253.67.120.128/25253.67.120.129 to 253.67.120.254253.67.120.255126
243253.67.121.0/25253.67.121.1 to 253.67.121.126253.67.121.127126
244253.67.121.128/25253.67.121.129 to 253.67.121.254253.67.121.255126
245253.67.122.0/25253.67.122.1 to 253.67.122.126253.67.122.127126
246253.67.122.128/25253.67.122.129 to 253.67.122.254253.67.122.255126
247253.67.123.0/25253.67.123.1 to 253.67.123.126253.67.123.127126
248253.67.123.128/25253.67.123.129 to 253.67.123.254253.67.123.255126
249253.67.124.0/25253.67.124.1 to 253.67.124.126253.67.124.127126
250253.67.124.128/25253.67.124.129 to 253.67.124.254253.67.124.255126
251253.67.125.0/25253.67.125.1 to 253.67.125.126253.67.125.127126
252253.67.125.128/25253.67.125.129 to 253.67.125.254253.67.125.255126
253253.67.126.0/25253.67.126.1 to 253.67.126.126253.67.126.127126
254253.67.126.128/25253.67.126.129 to 253.67.126.254253.67.126.255126
255253.67.127.0/25253.67.127.1 to 253.67.127.126253.67.127.127126
256253.67.127.128/25253.67.127.129 to 253.67.127.254253.67.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses